# A grounded web search for an agent, metered

`POST /research/search` · Rivier · search

A grounded web search for an agent, metered.

- Scope: search:write
- Mcp: rivier_personas_web_search
- Graphql: Mutation.searchResearchSearch
- Sdk: search.research.search
- Cli: search research search

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/research/search' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
